/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.       *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package framework ;

import java.net.URL;
import javax.portlet.PortletConfig;
import javax.portlet.PortletContext;
import javax.portlet.PortletMode;
import javax.portlet.PortletSession;
import org.exoplatform.portlet.mvc.actions.ActionsController;
import org.exoplatform.test.BasicTestCase;
import org.exoplatform.test.mocks.portlet.MockActionRequest;
import org.exoplatform.test.mocks.portlet.MockPortletConfig;
import org.exoplatform.test.mocks.portlet.MockPortletContext;

/*
 * Thu, May 15, 2003 @   
 * @author: Tuan Nguyen
 * @version: $Id: TestActions.java,v 1.2 2004/07/13 02:52:46 tuan08 Exp $
 * @since: 0.0
 * @email: tuan08@yahoo.com
 */
public class TestActions extends BasicTestCase {
	ActionsController controller_ ;	
  public TestActions(String name) {
    super(name);
  }

  public void setUp() throws Exception {
		PortletContext pcontext  = new MockPortletContext()  ;
		PortletConfig pconfig  = new MockPortletConfig(pcontext)  ;
    String file = "file:./src/webapp/WEB-INF/controllers.xml" ; 
    URL url = new URL(file) ;
		controller_  = new ActionsController(pconfig, pcontext, url) ;
  }

  public void testHelloAction() throws Exception {
		MockActionRequest request  = new MockActionRequest() ;
		request.setAttribute("actionName" , "HelloAction") ;
		request.setPortletMode(PortletMode.VIEW) ;
		PortletSession session = request.getPortletSession() ;
		System.out.println("session = " + session);
		controller_.processAction(request, null) ;
  }
  
  protected String getDescription() {
    return "test Hello Action" ;
  }
}
