/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package ic3.sample.component;

import java.util.* ;
import ic3.sample.model.Patient;
import org.exoplatform.faces.core.component.UIExoCommand;
import org.exoplatform.faces.core.event.ExoActionEvent;
import org.exoplatform.faces.core.event.ExoActionListener;
/**
 * Sat, Jan 03, 2004 @ 11:16 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIPatientInfo.java,v 1.1 2004/09/30 18:06:02 tuan08 Exp $
 */
public class UIPatientInfo extends UIExoCommand {
  public static String BACK_ACTION = "back" ;
  
  private ResourceBundle res_ ;
  private Patient patient_ ;
   
  public UIPatientInfo(ResourceBundle res) throws Exception {
    setId("UIPatientInfo") ;
    setRendererType("PatientInfoRenderer") ;
    res_ = res ;
    addActionListener(new BackActionListener().setActionToListen(BACK_ACTION)) ;
  }
  
  public Patient getPatient() { return patient_ ; } 
  
  public void setPatient(Patient patient) throws Exception {
    patient_ =   patient;
  }
  
  public ResourceBundle getComponentResourceBundle() { return res_ ; }
  
  public String getFamily() {
  	return "ic3.sample.component.UIPatientInfo" ;
  }
  
  static public class BackActionListener extends ExoActionListener  {
  	public void execute(ExoActionEvent event) throws Exception {
      UIPatientInfo uiInfo = (UIPatientInfo) event.getComponent() ;
      uiInfo.setRenderedSibling(UIListPatient.class) ;
    }
  }
}
