/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package ic3.sample.renderer.html;

import java.util.List;
import java.util.ResourceBundle;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter ;
import java.io.IOException;

import org.exoplatform.faces.core.component.model.Parameter;
import org.exoplatform.faces.core.renderer.html.HtmlBasicRenderer;
import ic3.sample.component.*;
import ic3.sample.model.*;

public class PatientInfoRenderer extends HtmlBasicRenderer {
  private static Parameter[] backParams = { new Parameter(ACTION , UIPatientInfo.BACK_ACTION)} ;
  
  public void encodeChildren(FacesContext context, UIComponent component ) throws IOException {
    UIPatientInfo uiPatientInfo = (UIPatientInfo) component;
    Patient patient = uiPatientInfo.getPatient() ;
    ResourceBundle res = uiPatientInfo.getComponentResourceBundle() ;
    ResponseWriter w = context.getResponseWriter() ;
    w.write("<table class='UIPatientInfo'>");
    w.	write("<tr>");
    w.		write("<td>"); w.write(res.getString("label.first-name")); w.write("</td>");
    w.		write("<td>"); w.write(patient.getFirstName()); w.write("</td>");
    w.	write("</tr>");
    w.	write("<tr>");
    w.		write("<td>"); w.write(res.getString("label.last-name")); w.write("</td>");
    w.		write("<td>"); w.write(patient.getLastName()); w.write("</td>");
    w.	write("</tr>");
    w.	write("<tr>");
    w.		write("<td>"); w.write(res.getString("label.email")); w.write("</td>");
    w.		write("<td>"); w.write(patient.getEMail()); w.write("</td>");
    w.	write("</tr>");
    w.write("</table>");
    //linkRenderer_.render(w, uiPatientInfo, "BACK", backParams) ;
    //buttonRenderer_.render(w, uiPatientInfo, res.getString("button.back"), backParams) ;
    uiPatientInfo.appendLink(w, "Back", backParams, null);
  }
}
