/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package ic3.sample.component;
// HI
import java.util.*;
import ic3.sample.*;

import org.exoplatform.faces.core.component.UIPortlet ;
/**
 * Wed, Dec 22, 2003 @ 23:14
 * @author: Tuan Nguyen
 * @email: tuan08@users.sourceforge.net
 * @version: $Id: UITestResult.java,v 1.1 2004/09/30 18:06:02 tuan08 Exp $
 */
public class UITestResult extends UIPortlet {
  private MyService service_ ;
  
  public UITestResult(UIListPatient uiPatients,
                      UIPatientInfo uiPatientInfo, 
                      UIPatientForm uiPatientForm, 
                      MyService service) {
  	setId("UITestResult") ;	
    setClazz("UITestResult");
    setRendererType("TestResultRenderer");
    service_ = service ;
    List children = getChildren();
    uiPatients.setRendered(true) ;
    children.add(uiPatients) ;
    
    uiPatientInfo.setRendered(false) ;
    children.add(uiPatientInfo) ;
    
    uiPatientForm.setRendered(false) ;
    children.add(uiPatientForm) ;
  }
  
  public String getSayHello() { return service_.getSayHello() ; }
  
  public String getFamily() {
  	return "ic3.sample.component.UITestResult" ;
  }
}
